Generation Framework

## org.eclipse.gmf.mappings
Interface CanvasMapping

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  CanvasMappingImpl

    public interface CanvasMapping

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Canvas Mapping'.

The following features are supported:

- `Diagram Canvas`
- `Domain Model`
- `Domain Meta Element`
- `Palette`
- `Menu Contributions`
- `Toolbar Contributions`

See Also:
  `GMFMapPackage.getCanvasMapping()`
** Generated **
Model:

Method Summary
`Canvas` `getDiagramCanvas()` Returns the value of the 'Diagram Canvas' reference
`org.eclipse.emf.ecore.EClass` `getDomainMetaElement()` Returns the value of the 'Domain Meta Element' reference
`org.eclipse.emf.ecore.EPackage` `getDomainModel()` Returns the value of the 'Domain Model' reference
`org.eclipse.emf.common.util.EList<MainMenu>` `getMenuContributions()` Returns the value of the 'Menu Contributions' reference list.
`Palette` `getPalette()` Returns the value of the 'Palette' reference
`org.eclipse.emf.common.util.EList<Toolbar>` `getToolbarContributions()` Returns the value of the 'Toolbar Contributions' reference list.
`void` `setDiagramCanvas(Canvas value)` Sets the value of the '`Diagram Canvas`' reference
`void` `setDomainMetaElement(org.eclipse.emf.ecore.EClass value)` Sets the value of the '`Domain Meta Element`' reference
`void` `setDomainModel(org.eclipse.emf.ecore.EPackage value)` Sets the value of the '`Domain Model`' reference
`void` `setPalette(Palette value)` Sets the value of the '`Palette`' reference

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getDiagramCanvas

    Canvas getDiagramCanvas()

  Returns the value of the 'Diagram Canvas' reference.

  If the meaning of the 'Diagram Canvas' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Diagram Canvas' reference.
  See Also:
    `setDiagramCanvas(Canvas)`, `GMFMapPackage.getCanvasMapping_DiagramCanvas()`
  ** Generated **
  Model:
    required="true"

### setDiagramCanvas

    void setDiagramCanvas(Canvas value)

  Sets the value of the '`Diagram Canvas`' reference.

  Parameters:
    `value` - the new value of the 'Diagram Canvas' reference.
  See Also:
    `getDiagramCanvas()`
  ** Generated **

### getDomainModel

    org.eclipse.emf.ecore.EPackage getDomainModel()

  Returns the value of the 'Domain Model' reference.

  If the meaning of the 'Domain Model' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Domain Model' reference.
  See Also:
    `setDomainModel(EPackage)`, `GMFMapPackage.getCanvasMapping_DomainModel()`
  ** Generated **
  Model:

### setDomainModel

    void setDomainModel(org.eclipse.emf.ecore.EPackage value)

  Sets the value of the '`Domain Model`' reference.

  Parameters:
    `value` - the new value of the 'Domain Model' reference.
  See Also:
    `getDomainModel()`
  ** Generated **

### getDomainMetaElement

    org.eclipse.emf.ecore.EClass getDomainMetaElement()

  Returns the value of the 'Domain Meta Element' reference.

  If the meaning of the 'Domain Meta Element' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Domain Meta Element' reference.
  See Also:
    `setDomainMetaElement(EClass)`, `GMFMapPackage.getCanvasMapping_DomainMetaElement()`
  ** Generated **
  Model:
    annotation="http://www.eclipse.org/gmf/2005/constraints ocl='not domainMetaElement.oclIsUndefined() implies not(domainMetaElement.abstract or domainMetaElement.interface)' description='Top-level diagram container must be concrete'"

### setDomainMetaElement

    void setDomainMetaElement(org.eclipse.emf.ecore.EClass value)

  Sets the value of the '`Domain Meta Element`' reference.

  Parameters:
    `value` - the new value of the 'Domain Meta Element' reference.
  See Also:
    `getDomainMetaElement()`
  ** Generated **

### getPalette

    Palette getPalette()

  Returns the value of the 'Palette' reference.

  If the meaning of the 'Palette' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Palette' reference.
  See Also:
    `setPalette(Palette)`, `GMFMapPackage.getCanvasMapping_Palette()`
  ** Generated **
  Model:

### setPalette

    void setPalette(Palette value)

  Sets the value of the '`Palette`' reference.

  Parameters:
    `value` - the new value of the 'Palette' reference.
  See Also:
    `getPalette()`
  ** Generated **

### getMenuContributions

    org.eclipse.emf.common.util.EList<MainMenu> getMenuContributions()

  Returns the value of the 'Menu Contributions' reference list. The list contents are of type `MainMenu`.

  If the meaning of the 'Menu Contributions' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Menu Contributions' reference list.
  See Also:
    `GMFMapPackage.getCanvasMapping_MenuContributions()`
  ** Generated **
  Model:

### getToolbarContributions

    org.eclipse.emf.common.util.EList<Toolbar> getToolbarContributions()

  Returns the value of the 'Toolbar Contributions' reference list. The list contents are of type `Toolbar`.

  If the meaning of the 'Toolbar Contributions' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Toolbar Contributions' reference list.
  See Also:
    `GMFMapPackage.getCanvasMapping_ToolbarContributions()`
  ** Generated **
  Model:

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.